#include<iostream>

using namespace std;

int niz[200010];

int main()
{
	int n, k, brojpopravki=0;;
	scanf("%d%d",&n,&k);
	for(int i=0;i<n;i++)
	{
		int broj;
		scanf("%d",&broj);
		niz[n+broj]++;
		if(niz[n+broj]==k)
			brojpopravki++;
	}
	printf("%d\n",brojpopravki);
	for(int i = 0;i<n*2;i++)
	{
		if(niz[i]>=k)
		{
			printf("%d ",i-n);
		}
	}
	
}